org.apache.sysds.runtime.instructions.fed

## Enum FEDInstruction.FederatedOutput

- java.lang.Object
- - java.lang.Enum<FEDInstruction.FederatedOutput>
  - - org.apache.sysds.runtime.instructions.fed.FEDInstruction.FederatedOutput

All Implemented Interfaces:
  Serializable, Comparable<FEDInstruction.FederatedOutput>

Enclosing class:
  FEDInstruction

    public static enum FEDInstruction.FederatedOutput
    extends Enum<FEDInstruction.FederatedOutput>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FOUT`
`LOUT`
`NONE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isForcedFederated()`
`boolean` `isForcedLocal()`
`static FEDInstruction.FederatedOutput` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FEDInstruction.FederatedOutput[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FOUT

    public static final FEDInstruction.FederatedOutput FOUT

#### LOUT

    public static final FEDInstruction.FederatedOutput LOUT

#### NONE

    public static final FEDInstruction.FederatedOutput NONE

### Method Detail

#### values

    public static FEDInstruction.FederatedOutput[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FEDInstruction.FederatedOutput c : FEDInstruction.FederatedOutput.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FEDInstruction.FederatedOutput valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isForcedFederated

    public boolean isForcedFederated()

#### isForcedLocal

    public boolean isForcedLocal()